<?php
  /**************************************************************************\
  * phpGroupWare - Inventory                                                 *
  * (http://www.phpgroupware.org)                                            *
  * Written by Kazuya Nouchi  [kazuya@mail.popcom.jp]                         *
  * --------------------------------------------------------                 *
  *  This program is free software; you can redistribute it and/or modify it *
  *  under the terms of the GNU General Public License as published by the   *
  *  Free Software Foundation; either version 2 of the License, or (at your  *
  *  option) any later version.                                              *
  \**************************************************************************/
  /* $Id: delivery_pdf_ja.php,v 1.1.2.2 2003/12/27 17:02:04 kazuyan Exp $ */

if (extension_loaded('pdf'))
{
	$pdf = pdf_new();
	if (!pdf_open_file($pdf, "")) 
	{			
    		unset($pdf);
    		trigger_error('Cannot open PDF file', E_USER_ERROR);
  		exit;
	}
}
else
{
	trigger_error('Cannot use PDF library', E_USER_ERROR);
	exit;
} 
 
$d = CreateObject('phpgwapi.contacts');
$delivery = new deliveryPDF();

pdf_set_info($pdf, 'Title', 'Delivery');
pdf_set_info($pdf, 'Subject', 'Delivery');
pdf_set_info($pdf, 'Creater', 'Inventory for PHPGroupware');
pdf_set_info($pdf, 'Author', 'Inventory for PHPGroupware');    

pdf_begin_page($pdf, 576, 822);			// A4 Port
pdf_translate($pdf, 10, 10);
$font = pdf_findfont($pdf, 'HeiseiKakuGo-W5', 'EUC-H');
pdf_setfont($pdf, $font, '11');
pdf_set_value($pdf, 'textrendering', 0);

$delivery->createAddress($pdf,$logo);

$delivery->createBody($pdf);

$delivery->createFooter($pdf);
 
pdf_end_page($pdf);
pdf_close($pdf);
$pdf_buff = pdf_get_buffer($pdf);
pdf_delete($pdf);

$len = strlen($pdf_buff);
header('Content-type: application/pdf');
header('Content-Disposition: inline; filename="delivery.pdf"');
header("Content-Length: $len");
echo $pdf_buff;
?>
